Re: [PHP-DEV] Are PECL modules preferable?

  109224
March 23, 2020 09:05 rowan.collins@gmail.com (Rowan Tommins)
On Mon, 23 Mar 2020 at 00:23, Mike Schinkel <mike@newclarity.net> wrote:

> > > On Mar 22, 2020, at 7:08 PM, Rowan Tommins collins@gmail.com> > wrote: > > > > I glanced at a couple of the WordPress hosts you mentioned, and couldn't > find a clear description of their PHP configurations, but I suspect it's > similar - some "bundled" extensions won't be enabled (e.g. various database > drivers), and some PECL extensions will be installed as standard (e.g. > Redis). > > Here is what is on Pantheon for PHP 7.3.14: > > https://v73-php-info.pantheonsite.io/ >
Thanks. Without doing a thorough analysis, I can already confirm my suspicions: * The configure line includes '--without-gdbm' '--without-pspell' '--disable-posix' '--disable-sysvmsg' '--disable-sysvshm' '--disable-sysvsem' * Installed extensions which are from PECL include apcu, mongodb, imagick, newrelic, oauth, and redis I don't want to imply that bundling has no value, but it's not a red line preventing adoption. Regards, -- Rowan Tommins [IMSoP]